<back to all web services

GetProjects

The following routes are available for this service:
GET/RestApi/translations/projects

export enum ProjectStatus
{
    NotStarted = 'NotStarted',
    Started = 'Started',
    Completed = 'Completed',
}

export class GetProjects implements IProjectsFilter
{
    public Skip?: number;
    public Take?: number;
    public OrderExpression: string;
    public SearchText: string;
    public Service: string[];
    public ProjectStatus?: ProjectStatus;
    public ActualSourceLanguage: string;
    public WithoutSourceLanguage: boolean;

    public constructor(init?: Partial<GetProjects>) { (Object as any).assign(this, init); }
}

TypeScript GetProjects DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"Title":"String","Description":"String","StartDate":"\/Date(-62135596800000-0000)\/","DueDate":"\/Date(-62135596800000-0000)\/","DateSent":"\/Date(-62135596800000-0000)\/","DateCompleted":"\/Date(-62135596800000-0000)\/","SentBy":"String","Connector":{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}},"Status":"String","PoReference":"String","ActualSourceLanguage":{"Code":"String","Name":"String","Count":0},"TargetLanguages":[{"Code":"String","Name":"String","Count":0}],"TranslationsCount":0,"CanBeCompleted":false,"ExternalId":"String"}]